japa.parser.ast.body

## Class EnumConstantDeclaration

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.body.BodyDeclaration
    - - japa.parser.ast.body.EnumConstantDeclaration

    public final class EnumConstantDeclaration
    extends BodyDeclaration

### Constructor Summary

Constructors
Constructor and Description
`EnumConstantDeclaration()`
`EnumConstantDeclaration(int beginLine, int beginColumn, int endLine, int endColumn, JavadocComment javaDoc, List<AnnotationExpr> annotations, String name, List<Expression> args, List<BodyDeclaration> classBody)`
`EnumConstantDeclaration(JavadocComment javaDoc, List<AnnotationExpr> annotations, String name, List<Expression> args, List<BodyDeclaration> classBody)`
`EnumConstantDeclaration(String name)`

### Method Summary

Methods
`<R,A> R` `accept(GenericVisitor<R,A> v, A arg)` Accept method for visitor support.
`<A> void` `accept(VoidVisitor<A> v, A arg)` Accept method for visitor support.
`List<Expression>` `getArgs()`
`List<BodyDeclaration>` `getClassBody()`
`String` `getName()`
`void` `setArgs(List<Expression> args)`
`void` `setClassBody(List<BodyDeclaration> classBody)`
`void` `setName(String name)`

### Methods inherited from class japa.parser.ast.body.BodyDeclaration

`getAnnotations, getJavaDoc, setAnnotations, setJavaDoc`

### Methods inherited from class japa.parser.ast.Node

`equals, getBeginColumn, getBeginLine, getData, getEndColumn, getEndLine, hashCode, setBeginColumn, setBeginLine, setData, setEndColumn, setEndLine, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EnumConstantDeclaration

    public EnumConstantDeclaration()

#### EnumConstantDeclaration

    public EnumConstantDeclaration(String name)

#### EnumConstantDeclaration

    public EnumConstantDeclaration(JavadocComment javaDoc,
                           List<AnnotationExpr> annotations,
                           String name,
                           List<Expression> args,
                           List<BodyDeclaration> classBody)

#### EnumConstantDeclaration

    public EnumConstantDeclaration(int beginLine,
                           int beginColumn,
                           int endLine,
                           int endColumn,
                           JavadocComment javaDoc,
                           List<AnnotationExpr> annotations,
                           String name,
                           List<Expression> args,
                           List<BodyDeclaration> classBody)

### Method Detail

#### accept

    public <R,A> R accept(GenericVisitor<R,A> v,
                 A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `R` - the type the return value of the visitor
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor
Returns:
  the result of the visit

#### accept

    public <A> void accept(VoidVisitor<A> v,
                  A arg)

Description copied from class: `Node`
Accept method for visitor support.

Specified by:
  `accept` in class `Node`
Type Parameters:
  `A` - the type the argument passed for the visitor
Parameters:
  `v` - the visitor implementation
  `arg` - any value relevant for the visitor

#### getArgs

    public List<Expression> getArgs()

#### getClassBody

    public List<BodyDeclaration> getClassBody()

#### getName

    public String getName()

#### setArgs

    public void setArgs(List<Expression> args)

#### setClassBody

    public void setClassBody(List<BodyDeclaration> classBody)

#### setName

    public void setName(String name)